Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class CalendarPreferences.WorkingHours

    java.lang.Object
      portlets.compoze.groupware.pref.CalendarPreferences.WorkingHours

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CalendarPreferences

public static class CalendarPreferences.WorkingHours
extends java.lang.Object
implements java.io.Serializable

This class represents the working hours.

See Also:
  Serialized Form

Constructor Summary
`CalendarPreferences.WorkingHours()` Constructor.

Method Summary
`int` | `getEndDayHour()` Gets the end day hour.
`int` | `getStartDayHour()` Gets the start day hour.
`static java.lang.String` | `getWorkingHoursString(int iHour, java.util.Locale locale)` Gets the working hours string.
`void` | `setHours(int iStartDayHour, int iEndDayHour)` Sets the working hours.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarPreferences.WorkingHours

    public CalendarPreferences.WorkingHours()

  Constructor.

Method Detail

### getStartDayHour

    public int getStartDayHour()

  Gets the start day hour.

  Returns:
    the start day hour

### getEndDayHour

    public int getEndDayHour()

  Gets the end day hour.

  Returns:
    the end day hour

### setHours

    public void setHours(int iStartDayHour,
                         int iEndDayHour)

  Sets the working hours. The end day hour must be after the start day hour. If not, the day hours are swapped. If the day hours are equal, the end day hour is incremented by one hour.

  Parameters:
    `iStartDayHour` - the start day hour (must be > 0)
    `iEndDayHour` - the end day hour (must be > 0)

### getWorkingHoursString

    public static java.lang.String getWorkingHoursString(int iHour,
                                                         java.util.Locale locale)

  Gets the working hours string.

  Parameters:
    `iHour` - the hour using the 24-hour clock (must be >= 0)
    `locale` - the locale
  Returns:
    the working hours formatted string or an empty string

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.